c
c.....expr.inc - data structure to store the expressions defined.
c
c (1) Tokens structure:
c
      integer           maxtk             !Total # tokens in all expr.
      parameter         (maxtk = 500)
      integer           ntk               !# ok tokens already used.
      integer           tktype(maxtk)     !Type of token ;-)
      integer           tkoperator(maxtk) !Integer associated to the tk.
      real*8            tknumval(maxtk)   !Real associated to the token.
      common /exp1/     tknumval, ntk, tktype, tkoperator
c
c (2) Expressions structure:
c
      integer           mexpr              !Max. # of expressions.
      parameter         (mexpr = 20)
      integer           exprfirsttk(mexpr) !First tk for this expr.
      integer           exprlasttk(mexpr)  !Last token in the expr.
      integer           nexpr              !# of expressions in use.
      real*8            exprval(mexpr)     !Last value of the expression
      common /exp2/     exprval, nexpr, exprfirsttk, exprlasttk
