c
c-----------------------------------------------------------------------
c
      function gammln(xx)
c
c.....gammln - natural logarithm of the gamma function.
c
      implicit real*8   (a-h,o-z)
      real*8            cof(6), stp, half, one, fpf, x, tmp, ser
      real*8            xx
      data cof /76.18009173d0, -86.50532033d0, 24.01409822d0,
     &          -1.231739516d0, 0.120858003d-2, -.536382d-5  /
      data stp /2.50662827465d0/
      data half, one, fpf /0.5d0, 1.0d0, 5.5d0/
      x = xx-one
      tmp = x+fpf
      tmp = (x+half)*log(tmp)-tmp
      ser = one
      do 11 j = 1,6
        x = x+one
        ser = ser+cof(j)/x
11    continue
      gammln = tmp+log(stp*ser)
      return
      end
