c
c-----------------------------------------------------------------------
c
      real*8 function atof (str)
c
c.....atof - returns the real value contained in the str string.
c
      include           'strtools.inc'
      character*(*)     str
      real*8            ten
      parameter         (ten=10d0)
      real*8            val, power
      integer           exponent, sign, esign, i
      character*(1)     ch
      logical           isdigit
c
      isdigit (ch) = ch.ge.'0' .and. ch.le.'9'
c
      sign     = 1
      val      = 0d0
      power    = 1d0
      exponent = 0
      esign    = 1
      i = 1
      do while (str(i:i) .eq. blank)
         i = i + 1 
      end do
      if (str (i:i) .eq. '+' .or. str(i:i) .eq. '-') then 
          if (str(i:i) .eq. '-') sign = -1
          i = i + 1
      endif
      do while (isdigit(str(i:i)))
         val = ten*val + ichar(str(i:i)) - ichar('0')
         i = i + 1
      enddo
      if (str(i:i) .eq. '.') then 
         i = i + 1
         do while (isdigit(str(i:i)))
            val = ten*val + ichar(str(i:i)) - ichar('0')
            i = i + 1
            power = power*ten
         enddo
      endif 
      if (str(i:i).eq.'e' .or. str(i:i).eq.'E' .or. 
     &    str(i:i).eq.'d' .or. str(i:i).eq.'D') then 
         i = i + 1
         if (str (i:i) .eq. '+' .or. str(i:i) .eq. '-') then 
            if (str(i:i) .eq. '-') esign = -1
            i = i + 1
         endif
         do while (isdigit(str(i:i)))
            exponent = ten*exponent + ichar(str(i:i)) - ichar('0')
            i = i + 1
         enddo
      endif
c
      atof = (sign*val/power) * ten**(esign*exponent)
      return
      end
