c
c.....consts.inc - Some mathematical and physical constants.
c
      real*8            pi, cte, ctsq2, ctsq3, cteuler, ctgold
      real*8            bohr2a, bohr2pm, har2cm1, har2ev, rad
      parameter         (pi      = 3.14159 26535 89793 23846 d0)
      parameter         (rad     = pi / 180d0                  )
      parameter         (cte     = 2.71828 18284 59045 23536 d0)
      parameter         (ctsq2   = 1.41421 35623 73095 04880 d0)
      parameter         (ctsq3   = 1.73205 08075 68877 29352 d0)
      parameter         (cteuler = 0.57721 56649 01532 86061 d0)
      parameter         (ctgold  = 1.61803 39887 49894 84820 d0)
      parameter         (bohr2a  =  0.5291771 d0)
      parameter         (bohr2pm =  52.91771 d0)
      parameter         (har2cm1 =  219474.6  d0)
      parameter         (har2ev  =  27.212    d0)
c
      real*8            zero, one, two, three
      real*8            half, third, fourth
      parameter         (zero   = 0d0)
      parameter         (one    = 1d0)
      parameter         (two    = 2d0)
      parameter         (three  = 3d0)
      parameter         (half   = 0.5d0)
      parameter         (third  = one/three)
      parameter         (fourth = 0.25d0)
c
      real*8            undef
      parameter         (undef = 9.72 e + 21)
c
      real*8            EPS
      parameter         (EPS = 1d-8)
