c
c.....datatm.inc - Atomic properties data structure.
c
      integer           MATM
      parameter         (MATM = 106)
      integer           natm              !number of atoms installed
      character*(2)     atmname(MATM)
      real*8            atmweight(MATM)
      integer           atmcov(MATM)      !covalent radii (in pm)
      integer           atmvdW(MATM)      !van der Waals radii (in pm)
      integer           atmION(-3:7,MATM) !ionic and atomic radii (pm)
      integer           atmCPK(MATM)      !CPK color index
      integer           CPKcol(3,0:15)    !RGB values for the CPK colors
      integer           typrad            !Type of default radii to use
      real*8            grfactor
      real*8            ionfactor(-3:7)
      integer           lengthtype
      real*8            rconversion
c
      common /atmi/ natm, atmcov, atmvdW, atmION, atmCPK, CPKcol,
     &              typrad, lengthtype
      common /atmr/ atmweight, grfactor, ionfactor, rconversion
      common /atms/ atmname
c
      integer           typION, typvdW, typcov
      parameter         (typION = 1, typvdW = 2, typcov = 3)
c
      integer           lbohr, langstrom, lpm
      parameter         (lbohr = 11, langstrom = 12, lpm = 13)
