c
c-----------------------------------------------------------------------
c
      real*8 function factrl (x)
c
c.....factrl - factorial or a real number. Fact(x)=gamma(x+1).
c
      include           'implicit.inc'
      include           'error.inc'
c
      real*8            x
c
      real*8            gammln
c
      integer           n, j
      real*8            ERROR_VALUE
      parameter         (ERROR_VALUE = 9.999999d29)
      real*8            aaa(0:32)
      integer           ntop
      common /fctr1/    aaa, ntop
      data ntop, aaa(0) /0, 1d0/
      save   /fctr1/
c
      if (abs(x-int(x)) .le. 1d-6  .and. x .le. 32d0) then
         n = int(x)
         if (n .lt. 0) then
            factrl = ERROR_VALUE
            call error ('factrl', 'factorial of negative integer',
     &                  warning)
         else if (n .le. ntop) then
            factrl = aaa(n)
         else
            do 11 j = ntop+1, n
               aaa(j) = j * aaa(j-1)
 11         continue
            ntop = n
            factrl = aaa(n)
         endif
      else
         factrl = exp(gammln(x+1d0))
      endif
      return
      end
