c
c-----------------------------------------------------------------------
c
      subroutine preewald ()
c
c.....preewald - computes some variables nedded in the fewald function.
c
      include           'implicit.inc'
      include           'consts.inc'
      include           'molec.inc'
      include           'ewald.inc'
c
      integer           i, j, k
      real*8            apmin, armin
c
c.....computing the cell volume and eta:
c
      sc = half * (bb(1) + bb(2) + bb(3)) * rad
      omega = sin(sc) * sin(sc-bb(1)*rad) * sin(sc-bb(2)*rad) *
     &        sin(sc-bb(3)*rad)
      omega = sqrt(omega) * two * aa(1) * aa(2) * aa(3)
      do 10 i = 1, 3
         j = i + 1
         if (j.ge.4) j = 1
         k = j + 1
         if (k.ge.4) k = 1
         ap(i) = omega / (aa(j) * aa(k) * sindir(i))
         ar(i) = one / ap(i)
         br(i) = ( cosdir(j) * cosdir(k) - cosdir(i) ) /
     &           (sindir(j) * sindir(k))
 10   continue
      apmin = min (ap(1), ap(2), ap(3))
      armin = min (ar(1), ar(2), ar(3))
      eta = sqrt (apmin / (armin*pi))
      end
