c
c.....tokens.inc - token definitions and types used in the parsing of
c     expressions.
c
c.....token types:
c
      integer           tpnone, tpnumber, tpfunction, tpunary,
     &                  tpoperator, tpopenpar, tpcomma, tpclosepar,
     &                  tpvariable
      parameter         (tpnone     = 40,
     &                   tpnumber   = 41,
     &                   tpfunction = 42,
     &                   tpunary    = 43,
     &                   tpoperator = 44,
     &                   tpopenpar  = 45,
     &                   tpcomma    = 46,
     &                   tpclosepar = 47,
     &                   tpvariable = 48)
c
c.....function types:
c
      integer           ft_abs, ft_sqrt, ft_log, ft_log10, ft_sin,
     &                  ft_cos, ft_tan, ft_asin, ft_acos, ft_atan,
     &                  ft_exp, ft_sinh, ft_cosh, ft_tanh, ft_int,
     &                  ft_frac, ft_fact, ft_mod, ft_erf, ft_erfc,
     &                  ft_atan2, ft_igamma, ft_sgn, ft_min, ft_max,
     &                  ft_if
      parameter         (ft_abs   =  1,    ft_sqrt   =  2,
     &                   ft_log   =  3,    ft_log10  =  4,
     &                   ft_sin   =  5,    ft_cos    =  6,
     &                   ft_tan   =  7,    ft_asin   =  8,
     &                   ft_acos  =  9,    ft_atan   = 10,
     &                   ft_exp   = 11,    ft_sinh   = 12,
     &                   ft_cosh  = 13,    ft_tanh   = 14,
     &                   ft_int   = 15,    ft_frac   = 16,
     &                   ft_fact  = 17,    ft_mod    = 18,
     &                   ft_erf   = 19,    ft_erfc   = 20,
     &                   ft_atan2 = 21,    ft_igamma = 22,
     &                   ft_sgn   = 23,    ft_min    = 24,
     &                   ft_max   = 25,    ft_if     = 26   )
c
c.....unary operator types:
c
      integer           ot_uminus, ot_uplus
      parameter         (ot_uminus = 10, ot_uplus = 11)
c
c.....operator types:
c
      integer           ot_add, ot_subs, ot_mult, ot_div, ot_elev,
     &                  ot_oppar, ot_clospar, ot_function, ot_comma,
     &                  ot_gt, ot_lt, ot_ge, ot_le, ot_eq, ot_ne,
     &                  ot_and, ot_or
      parameter         (ot_add     =  1,     ot_subs     =  2,
     &                   ot_mult    =  3,     ot_div      =  4,
     &                   ot_elev    =  5,     ot_oppar    =  6,
     &                   ot_clospar =  7,     ot_function =  8,
     &                   ot_comma   =  9,     ot_gt       = 10,
     &                   ot_lt      = 11,     ot_ge       = 12,
     &                   ot_le      = 13,     ot_eq       = 14,
     &                   ot_ne      = 15,     ot_and      = 16,
     &                   ot_or      = 17                        )
c
c.....types used in the hash table manipulation:
c
      integer           htfunction, htconst, htvariable
      parameter         (htfunction = tpfunction+20,
     &                   htconst    = htfunction + 1,
     &                   htvariable = htfunction + 2  )
